Package ru.bitel.bgbilling.modules.sberbank.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.sberbank.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `String`
  `getCardholderName()`
  `String`
  `getPan()`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractComment, getContractId, getContractTitle, getCreateDate, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getPan

    public String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### getCardholderName

    public String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### builder

    public static Transaction.Builder builder()